%define		plugin		pagequery
%define		php_min_version 5.3.0
Summary:	DokuWiki plugin to search for and list pages, sorted by name, date, creator, etc
Name:		dokuwiki-plugin-%{plugin}
Version:	20180122
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/MrBertie/pagequery/tarball/master/%{plugin}-%{version}.tgz
# Source0-md5:	77fc93596880c4b2046e187bc8898536
URL:		http://www.dokuwiki.org/plugin:pagequery
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	dokuwiki >= 20091225
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_prefix}/lib/rpm/dokuwiki-find-lang.sh %{buildroot}

%description
An all-in-one multipurpose navigation plugin to search for and list
pages; by full-text or page name; neatly grouped results, optionally
in columns, with preview snippet.

%prep
%setup -qc
mv *-%{plugin}-*/* .
%undos *.txt

# using date from latest commit
#version=$(awk '/^date/{print $2}' plugin.info.txt)
#if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
#	: %%{version} mismatch
#	exit 1
#fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
rm $RPM_BUILD_ROOT%{plugindir}/readme.md

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force js/css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc readme.md
%dir %{plugindir}
%{plugindir}/*.txt
%{plugindir}/*.php
%{plugindir}/*.css
%{plugindir}/*.js
%{plugindir}/images
%{plugindir}/inc
%{plugindir}/res
%changelog
* Thu Jul 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-pagequery.git;a=log;h=master

* Thu Jul 18 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 5db5a8b
- Up to 20180122

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e2e0083
- drop obsolete and outdated manual inclusion of rpm macros

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 9da6360
- use virtual php deps
- release 2 (by relup.sh)

* Sat Oct 13 2012 Elan Ruusamäe <glen@delfi.ee> a423d5b
- up to 20120303

* Fri Aug 24 2012 Elan Ruusamäe <glen@delfi.ee> 9c90a1c
- use php(core) as dependency to require php version
- release 5 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 784c47d
- use virtual php extension deps (to be independant of php version)
- release 5 (by relup.sh)

* Tue Mar 29 2011 Elan Ruusamäe <glen@pld-linux.org> cffc72d
- up to 0.6.8 (20110226)

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> a820a3a
- BR: unzip

* Mon Nov 15 2010 Elan Ruusamäe <glen@pld-linux.org> 12f1745
- up to 20101103 tarball

* Wed Nov 03 2010 Elan Ruusamäe <glen@pld-linux.org> 3db54ea
- new

